# 20. Módosítás: „Farm” törlése

Törli a kiválasztott „Gazdaságot” és minden hozzá kapcsolódó adatot.

{% hint style="info" %}
Ha a „Gazdaságot” egy másik felhasználó osztotta meg, a művelet csak a hivatkozást törli. Az eredeti „Gazdaság” adatai biztonságban maradnak.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutáció DeleteFarm {
  deleteFarm(input: {
    uuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    név
    farmOwnership
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/20.-modositas-farm-torlese.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
